<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:49 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package io.mosip.registration.dao (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package io.mosip.registration.dao (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package io.mosip.registration.dao" class="title">Uses of Package<br>io.mosip.registration.dao</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.repositories">io.mosip.registration.repositories</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> used by <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AppAuthenticationDetails.AppAuthentication.html#io.mosip.registration.dao">AppAuthenticationDetails.AppAuthentication</a>
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AppRolePriorityDetails.AppRolePriority.html#io.mosip.registration.dao">AppRolePriorityDetails.AppRolePriority</a>
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/ScreenAuthorizationDetails.ScreenAuthorization.html#io.mosip.registration.dao">ScreenAuthorizationDetails.ScreenAuthorization</a>
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/SyncJobControlDAO.SyncJobInfo.html#io.mosip.registration.dao">SyncJobControlDAO.SyncJobInfo</a>
<div class="block">The Class SyncJobInfo.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> used by <a href="../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AppAuthenticationDAO.html#io.mosip.registration.dao.impl">AppAuthenticationDAO</a>
<div class="block">DAO class for AppAuthentication</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AuditDAO.html#io.mosip.registration.dao.impl">AuditDAO</a>
<div class="block">DAO class for Audit</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AuditLogControlDAO.html#io.mosip.registration.dao.impl">AuditLogControlDAO</a>
<div class="block">DAO interface for the <a href="../../../../io/mosip/registration/entity/AuditLogControl.html" title="class in io.mosip.registration.entity"><code>AuditLogControl</code></a> entity</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/DocumentCategoryDAO.html#io.mosip.registration.dao.impl">DocumentCategoryDAO</a>
<div class="block">Handles the Document categories related functions</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/DocumentTypeDAO.html#io.mosip.registration.dao.impl">DocumentTypeDAO</a>
<div class="block">Handles the Doc types related details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/GenderDAO.html#io.mosip.registration.dao.impl">GenderDAO</a>
<div class="block">DAO class for Gender</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/GlobalParamDAO.html#io.mosip.registration.dao.impl">GlobalParamDAO</a>
<div class="block">DAO class for GlobalParam</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/LocationDAO.html#io.mosip.registration.dao.impl">LocationDAO</a>
<div class="block">DAO class for Location</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/MachineMappingDAO.html#io.mosip.registration.dao.impl">MachineMappingDAO</a>
<div class="block">This DAO interface updates the mapping of users and devices to the
 Registration Center Machine</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/MasterSyncDao.html#io.mosip.registration.dao.impl">MasterSyncDao</a>
<div class="block">The Interface MasterSyncDao.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/PolicySyncDAO.html#io.mosip.registration.dao.impl">PolicySyncDAO</a>
<div class="block">DAO class for PolicySync</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/PreRegistrationDataSyncDAO.html#io.mosip.registration.dao.impl">PreRegistrationDataSyncDAO</a>
<div class="block">pre registartion DAO</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/RegistrationCenterDAO.html#io.mosip.registration.dao.impl">RegistrationCenterDAO</a>
<div class="block">DAO class for RegistrationCenter</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/RegistrationDAO.html#io.mosip.registration.dao.impl">RegistrationDAO</a>
<div class="block">DAO class for Registration Repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/RegPacketStatusDAO.html#io.mosip.registration.dao.impl">RegPacketStatusDAO</a>
<div class="block">DAO class for Repository</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/ScreenAuthorizationDAO.html#io.mosip.registration.dao.impl">ScreenAuthorizationDAO</a>
<div class="block">DAO class for RegistrationScreenAuthorization</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/SyncJobConfigDAO.html#io.mosip.registration.dao.impl">SyncJobConfigDAO</a>
<div class="block">DAO class for batch job configuration</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/SyncJobControlDAO.html#io.mosip.registration.dao.impl">SyncJobControlDAO</a>
<div class="block">DAO class for SyncJobDAO.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/SyncJobControlDAO.SyncJobInfo.html#io.mosip.registration.dao.impl">SyncJobControlDAO.SyncJobInfo</a>
<div class="block">The Class SyncJobInfo.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/SyncTransactionDAO.html#io.mosip.registration.dao.impl">SyncTransactionDAO</a>
<div class="block">To save and update batch process</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/TemplateDao.html#io.mosip.registration.dao.impl">TemplateDao</a>
<div class="block">DAO class for Repository</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/UserDetailDAO.html#io.mosip.registration.dao.impl">UserDetailDAO</a>
<div class="block">DAO class for UserDetail</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/UserOnboardDAO.html#io.mosip.registration.dao.impl">UserOnboardDAO</a>
<div class="block">The Interface UserOnboardDAO.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/ValidDocumentDAO.html#io.mosip.registration.dao.impl">ValidDocumentDAO</a>
<div class="block">Interface of ValidDocument</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.repositories">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> used by <a href="../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AppAuthenticationDetails.html#io.mosip.registration.repositories">AppAuthenticationDetails</a>
<div class="block">Interface for RegistrationAppAuthentication</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/AppRolePriorityDetails.html#io.mosip.registration.repositories">AppRolePriorityDetails</a>
<div class="block">Interface for AppRolePriority</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/GlobalParamName.html#io.mosip.registration.repositories">GlobalParamName</a>
<div class="block">Interface for GlobalParam to fetch only specified columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/dao/class-use/ScreenAuthorizationDetails.html#io.mosip.registration.repositories">ScreenAuthorizationDetails</a>
<div class="block">Interface for RegistrationScreenAuthorization</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
